package de.hendriklipka.config;

import java.util.Enumeration;

public interface Block
{
    /**
     *  Gets the text value of the BlockImpl
     *
     *@return    The text value
     *
     * @post $result!=null
     */
    Value getValue();

    /**
     *  Gets the specified child block
     *
     *@param  name  child block name
     *@return       the block (the first, if more than one exists)
     */
    Block getChild(String name);

    /**
     *  get all childs with the given name
     *
     *@param  name  block name
     *@return       enumeration with all block matching the given
     *
     * @post $result!=null
     */
    Enumeration getChilds(String name);

    Enumeration getAllChilds();
    
    String getName();
}
